@import url('https://fonts.googleapis.com/css2?family=Rajdhani:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Orbitron');

#particles-js {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

* {
  font-family: Rajdhani;
}

.p2 {
  font-family: Orbitron;
  color: gray;
  font-size: 12px;
}

.results {
  color: #F0ED6A;
  letter-spacing: 1.3px;
  text-shadow: 0px 0px 16px #b46e1d;
  text-align: left; 
}

.corplabel:hover {
  cursor: help;
}

.affiliation {
  color: #6CF6FC;
  font-weight: 500;
  letter-spacing: 1.3px;
  font-size: 15px;
  text-align: left; 
}

.abilitylist {
  vertical-align: middle;
  margin-left: 4px;
  color: #6CF6FC;
  font-weight: 450;
}

h1, h2, h3, h4, p1, p2, p3, p4 {
  color: white;
  align-content: center;
  text-align: center;
  text-shadow: 2px 2px 4px #222652;
}

a {
  color: #c7c8ff;
  text-decoration: none;
 /*  background-clip: text; */
}
a:hover {
  color: #727fff;
  filter: drop-shadow(0 0px 8px #4346ad);
}

a > img:hover {
 animation: hoverAnim 0.25s forwards ease-in-out;
}

.main {
  display: flex;
  position: relative;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: auto;
  flex-direction: column;
  gap: 10px;
  min-height: 600px;
}

.flexboxing { 
  display: flex;
  justify-content:center;
  gap: 20px;
}

.blogdiv {
  border: 2px solid rgb(255, 0, 0);
  box-shadow: 0 0 10px 8px #580000b0;
  min-height: 80px;
  min-width: 250px;
  background-color: rgba(32,12,12);
}

.blogdiv:hover {
  background-color:rgba(78, 12, 12, 0.8);
  border: 3px solid #ff4b4b;
  box-shadow: 0 0 12px 8px #743737;
  cursor: pointer;
}


.coolcontainer {
  border: 2px solid #5dafb1;
  box-shadow: 0 0 10px 8px #004458b0;
  background-color:rgba(20, 17, 25, 0.8);
  position:relative;
  width: 350px;
  padding: 20px;
  border-radius: 4px;
  margin-top: 250px;
  animation: showup 0.6s ease-out forwards;
  transform-origin: left center;
  z-index: 5; 
  min-height: 570px;
}


.transitioncontainer {
  border: 2px solid #5dafb1;
  box-shadow: 0 0 20px 2px #5e91c0;
  background-color:rgba(20, 17, 25, 0.8);
  position:relative;
  width: 350px;
  padding: 20px;
  border-radius: 4px;
  margin-top: 250px;
  animation: showup 0.6s ease-out forwards;
  transform-origin: left center;
  z-index: 5; 
  transition: all 0.3s ease-in-out;
}


#loadingbar {
  width: 600px;
  padding: 5px;
  height: 50px;
  animation: loading 0.5s linear;
  animation-timing-function: ease-in-out;
  border-radius: 0px;
  position: absolute;
  display: flexbox;
  bottom: 300px;
  margin: 2px;
}

#particles-js {
  z-index: 1;
  position: absolute;
}
.warningprompt {
  padding: 5px;
  margin: 5px;
  background-color: #e05151;
  color: black;
  text-shadow: none;
  font-weight: 500;
  box-shadow: 0 0 12px 8px #693838;
  position: absolute;
  bottom: 400px;
}

.small {
  height: 0.6em;
}

.projectbox {
  border: 1px solid #5dafb1;
  width: 300px;
  height: 100px;
  border-radius: 15px;
}

.statscontainer {
  border: 1px solid #5dafb1;
  background-color:rgba(20, 17, 25, 0.8);
  color: white;
  width: 250px;
  position:relative;
  right: 400px;
  bottom: 500px;
  padding: 8px;
  align-self: left;  
  transform: rotate(-2deg);
  align-content: left; 
  margin: 1px;
  z-index: 1;
  clip-path: polygon(
    0 0,
    calc(100% - 12px) 0,
    100% 12px,
    100% 100%,
    30px 100%,
    0 calc(100% - 10px)
  );
  box-sizing: border-box;
}

.uploading {
  height: 10px;
  margin: 3px;
  padding: 3px;
  color: #8ff8fa;

}

.uploading:after {
  content: "";
  animation: loadingBarText 3.5s steps(6) forwards; 
}

#notavailable {
  border: 2px solid #ff4b4b;
  background-color:rgba(78, 12, 12, 0.8);
}

#notavailable:hover {
  background-color:rgba(78, 12, 12, 0.8);
  border: 3px solid #ff4b4b;
  box-shadow: 0 0 12px 8px #743737;
}

.subtitle {
  color: #646477;
  font-size: 12px;
  text-shadow: none;
}

.rect {
  width: 320px;
  outline: 1px solid #6bc9ca;
  overflow-wrap: break-word;
  font-size: 12px;
  font-weight: 500;
  margin: 4px;
  padding: 0px 4px 2px 0px;
  border-radius: 2px;
}

.rect-ram {
  width: 320px;
  outline: 1px solid #6bc9ca;
  overflow-wrap: break-word;
  font-size: 12px;
  font-weight: 500;
  margin: 2px;  
}

.rect:hover {
  outline:4px solid #68adc9;
  box-shadow: 1px 1px 12px 8px #383774;
  background-color: #3b3a55e5;
  cursor: pointer;
}

.statscontainer:hover {
  border: 2px solid #73d5d6;
  background-color:#2d2c41e5;
  box-shadow: 0 0 12px 8px #373774;
  transition: box-shadow 0.1s, border 0.1s;
  cursor: pointer;
}

.wrap {
  display: flex;
  text-align: center;
  padding: 4px;
}

.container .steam, .container .github, .container .discord {
  display: inline-block;
  padding: 10px;
  padding-left: 25px;
}
 
.gradientbyeoon {
  background: linear-gradient(to right, #727fff, #1923b4);
  color: transparent;
  background-clip: text;
  display: inline-block;
  font-weight: bold;
}

body { 
  background-color: rgb(11, 11, 12);
  background-image: url("img/cyberpunkwallaperp2.png");
  background-position: center;
  background-blend-mode: overlay;
  position: sticky;
  top: 0;   
  margin: 0;
  padding: 0;
  overflow: auto;
 /* box-shadow: inset 0 0 100px #310404a6; Vignette */ 
}

  .header {
    font-family: "Orbitron", sans-serif;
    font-size: 250%;
    margin: -5px;
    font-weight: 500;
    font-style: normal;
    text-align: center;
  }

  #progressbar {
    background-color: black;
    outline: 2px solid #5dafb1;
    padding: 3px;
  }
  
  #progressbar>div {
    background-color: #ff6e6e;
    width: 0%;
    height: 20px;
    animation: loadingBar;
    animation-duration: 5s;
  }

@keyframes showup {
  from {
    padding: 0px;
    transform: rotateY(90deg);
    opacity: 0;
    visibility: hidden;
  }
  to {
    padding: 20px;
    transform: rotateY(0deg);
    opacity: 1;
    visibility: visible;
  }
}

  @keyframes close {
    from {padding: 20px; transform: rotateX(0deg); display:block; }
    to {padding: 0px; transform: rotateX(90deg); display: none; }
  }

  @keyframes loading {
    from {padding: 0px; transform: rotateY(90deg); content-visibility: hidden; }
    to {padding: 5px; transform: rotateY(0deg); content-visibility: visible; }
  }

  @keyframes hoverAnim {
    from {
      transform: rotateZ(0deg) scale(1); 
    }
    to {
      transform: rotateZ(10deg) scale(1.1);
    }
  }

  @keyframes loadingBar {
  to {
    width: 100%;
  }
}

@keyframes loadingBarText {
  0%   { content: "UPLOADING 0%"; }
  16%  { content: "UPLOADING 20%"; }
  32%  { content: "UPLOADING 40%"; }
  48%  { content: "UPLOADING 60%"; }
  64%  { content: "UPLOADING 80%"; }
  99%  { content: "UPLOADING 100%"; }
  100% { content: "UPLOADING COMPLETE"; }
  
}

